VERSION 5.00
Object = "{A54BEB34-AAB3-4A8D-B736-42CB4DA7D664}#2.0#0"; "IngotComboBoxCtl.dll"
Object = "{BAE83016-CA11-4D8A-BBFA-0AE9863B82DE}#2.1#0"; "IngotLabelCtl.dll"
Object = "{9F4EED48-8EC7-4316-A47D-F6161874E478}#2.0#0"; "IngotButtonCtl.dll"
Begin VB.Form frmList 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2400
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2400
   BeginProperty Font 
      Name            =   "AFPalm"
      Size            =   9
      Charset         =   2
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   160
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   160
   StartUpPosition =   2  'CenterScreen
   Begin IngotLabelCtl.AFLabel lblversion 
      Height          =   135
      Left            =   120
      OleObjectBlob   =   "frmList.frx":0000
      TabIndex        =   6
      Top             =   480
      Width           =   2175
   End
   Begin IngotButtonCtl.AFButton cmdHelp 
      Height          =   255
      Left            =   960
      OleObjectBlob   =   "frmList.frx":0050
      TabIndex        =   0
      Top             =   2160
      Width           =   615
   End
   Begin IngotButtonCtl.AFButton cmdAbout 
      Height          =   255
      Left            =   0
      OleObjectBlob   =   "frmList.frx":0099
      TabIndex        =   2
      Top             =   2160
      Width           =   615
   End
   Begin IngotButtonCtl.AFButton cmdExit 
      Height          =   255
      Left            =   1920
      OleObjectBlob   =   "frmList.frx":00E6
      TabIndex        =   1
      Top             =   2160
      Width           =   495
   End
   Begin IngotComboBoxCtl.AFComboBox lstprayers 
      Height          =   285
      Left            =   120
      OleObjectBlob   =   "frmList.frx":012F
      TabIndex        =   3
      Top             =   840
      Width           =   2160
   End
   Begin IngotLabelCtl.AFLabel lblintro 
      Height          =   735
      Left            =   120
      OleObjectBlob   =   "frmList.frx":0181
      TabIndex        =   4
      Top             =   1200
      Width           =   2175
   End
   Begin IngotLabelCtl.AFLabel lblKCprayer 
      Height          =   255
      Left            =   120
      OleObjectBlob   =   "frmList.frx":01C6
      TabIndex        =   5
      Top             =   120
      Width           =   2175
   End
End
Attribute VB_Name = "frmList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' *******************************************
' Copyright 2000-2001 VisualMonkey, Jason Herres, All Rights Reserved.
' *******************************************
' This code written by Jason Herres.   http://www.visualmonkey.com
' I wrote this code to learn about VB and AppForge.  So, if you are learning VB, feel free to
' modify or redistribute this code for anything you want.  The only caveat is send
' me an email to jasonh@seanet.com with the story of how you used my code.  If you
' happen to use **pieces** of my code for commercial reasons, then please buy a
' latte for a friend of yours on my behalf. Or make a donation to the charity listed in "About"
' *******************************************
Option Explicit
Public prayerlist As Long

Private Sub Form_Load()
init
End Sub

Public Sub init()
Dim iindex As Integer

lblintro.Caption = "Please select a prayer from the drop down list." & vbCrLf & "We hope our tool helps you in your contemplative prayer. "

'fill the listbox
OpentblPrayersDatabase
    Do While ReadtblPrayersRecord(currentrec) = True
        iindex = iindex + 1
        lstprayers.AddItem (currentrec.PrayerName)
        PDBMoveNext (dbtblPrayers)
'MsgBox currentrec.PrayerName
    Loop
'reset to the first of the db
PDBMoveFirst (dbtblPrayers)

'reset to the listbox.
lstprayers.ListIndex = 0

ClosetblPrayersDatabase

End Sub

Private Sub lstPrayers_click()
Dim strprayer As String
frmList.Hide
frmPrayer.Show
fillprayer (lstprayers.Text)

End Sub
Private Sub cmdabout_click()
Dim strabout As String
frmList.Hide
frmPrayer.Show
frmPrayer.lblprayer.Caption = "About the Prayer Tool"
strabout = "This program is intended to be a repository of the prayers used by Catholics.  " & vbCrLf & "It should give you all the prayers you need.  Mysteries is a list of the 3 Types of Mysteries used in the Rosary.  The other prayers are self explanatory." & vbCrLf & "If you like this program, please send a $5 donation to:" & vbCrLf & "Pennies for Heaven, c/o MQP - K of C, 1121 228th SE, Sammamish, WA 98075" & vbCrLf & vbCrLf & "This application developed by www.visualmonkey.com using AppForge 2.1 and VB6."
strabout = strabout & vbCrLf & "All code copyright 2001 - Visualmonkey.com"
frmPrayer.txtprayer.Text = strabout
frmPrayer.txtprayer.SetFocus
End Sub
Private Sub cmdhelp_click()
Dim strhelp As String
frmList.Hide
frmPrayer.Show
frmPrayer.lblprayer.Caption = "Help for Prayer Tool"
strhelp = "Select a prayer on the main page, via the drop down menu.  To change fonts use the 2 buttons in the lower left. If you have trouble scrolling with the Palm buttons, click on the text box."
strhelp = strhelp & vbCrLf & "The program depends on 2 files:  prayertool.prc and prayers.pdb." & vbCrLf & "Please make sure both are installed.  For any other problems, please go to http://www.visualmonkey.com."
frmPrayer.txtprayer.Text = strhelp
frmPrayer.txtprayer.SetFocus
End Sub

Private Sub cmdExit_Click()
Unload frmPrayer
Unload frmList
Unload Me
End Sub

Private Sub fillprayer(s_selecteditem As String)    'Fill the form with the data from the PDB
' find the record to match the item in the combo box
OpentblPrayersDatabase
PDBFindRecordByField dbtblPrayers, 1, s_selecteditem
                If ReadtblPrayersRecord(currentrec) = True Then
        'get the data for the prayer form
               frmPrayer.txtprayer.Text = currentrec.PrayerContent
               frmPrayer.lblprayer.Caption = currentrec.PrayerName
               frmPrayer.txtprayer.SetFocus
        End If
ClosetblPrayersDatabase

End Sub

